package com.qadeer.student.service;

import com.qadeer.student.dto.StudentDto;
import com.qadeer.student.entity.Student;
import com.qadeer.student.mapper.StudentMapper;
import com.qadeer.student.repository.StudentRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@Service
public class StudentService {

    @Autowired
    private StudentRepository studentRepository;

    @Autowired
    private StudentMapper studentMapper;

    public Student createStudent(@RequestBody Student student) {
        return studentRepository.save(student);
    }

    public List<Student> getAllStudent() {
        List<Student> students = studentRepository.findAll();
        return students;
//        return studentMapper.entityToDto(students);
    }
}
