package com.qadeer.student.service;


import com.qadeer.student.dto.TeacherDto;
import com.qadeer.student.entity.Teacher;
import com.qadeer.student.mapper.TeacherMapper;
import com.qadeer.student.repository.TeacherRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TeacherService {

    @Autowired
    private TeacherRepository teacherRepository;

    @Autowired
    private TeacherMapper teacherMapper;

    public Teacher createTeacher(Teacher teacher) {
        return teacherRepository.save(teacher);
    }

    public List<Teacher> getAllTeachers() {
        List<Teacher> teachers = teacherRepository.findAll();
//        return teacherMapper.entityToDto(teachers);
        return teachers;
    }

}
